%global         ver 0771

Name:           ultimatestunts
Version:        0.7.7
Release:        %mkrel 12
Summary:        Remake of the famous DOS-game Stunts

Group:          Games/Sports
License:        GPLv2+
URL:            https://www.ultimatestunts.nl/
Source0:        https://downloads.sf.net/ultimatestunts/%{name}-srcdata-%{ver}.tar.gz
Source1:        %{name}.png
Patch0:         ultimatestunts-0761-make.patch
Patch1:         ultimatestunts-0751-locale.patch
Patch2:         ultimatestunts-0761-unistd.patch
Patch3:         ultimatestunts-0771-destdir.patch
Patch4:         ultimatestunts-0771-localedir.patch
BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(vorbis)
# for AM_GNU_GETTEXT_REQUIRE_VERSION
BuildRequires:  autoconf >= 1:2.69-10
BuildRequires:  gettext-devel
BuildRequires:  intltool

%description
UltimateStunts is a remake of the famous DOS-game Stunts, with modern
features such as OpenGL graphics, 3D sound and Internet multiplaying.

Racing in Ultimate Stunts involves some really spectacular stunts,
like loopings, corkscrews, bridges to jump over, etc., but the best thing
is that you can design your own tracks!

%prep

%setup -q -n %{name}-srcdata-%{ver}
%autopatch -p1

# remove SVN control files
find . -name .svn -type d -print0 | xargs -0 rm -rf

# fix EOL and encoding
pushd "doc/nolanguage/Original Stunts Track-Format_files"
dos2unix -q style.css
dos2unix -q stunts.htm
touch -r tree.png style.css stunts.htm

f=stunts.htm
iconv -f ISO8859-1 -t UTF-8 -o $f.new $f
touch -r tree.png $f.new
mv $f.new $f
popd

pushd doc/nl
for f in *.htm; do
    iconv -f ISO8859-1 -t UTF-8 -o $f.new $f
    touch -r $f $f.new
    mv $f.new $f
done
popd

# ensure the config gets regenerated with correct datadir (mga#15877)
rm -f %{name}.conf

%build
autoreconf -fi -Im4
export LIBS+="-lpthread"
%configure \
	--bindir=%{_gamesbindir} \
	--localedir=%{_datadir}/locale \
	--datadir=%{_gamesdatadir}
%make_build

%install
%make_install

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/lang

install -D -m644 %{_sourcedir}/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Ultimate Stunts
Comment=Remake of the famous DOS-game Stunts
Exec=ustunts
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-trackedit.desktop << EOF
[Desktop Entry]
Name=Ultimate Stunts Track Editor
Comment=The Ultimate Stunts track editor
Exec=ustuntstrackedit
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

%files
%doc AUTHORS doc/*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.*
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/ustunts*
%{_gamesdatadir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Sat Jan 27 2024 wally <wally> 0.7.7-12.mga10
+ Revision: 2035439
- fix translations and datadir location (mga#32777)

* Fri Apr 01 2022 umeabot <umeabot> 0.7.7-11.mga9
+ Revision: 1839460
- Mageia 9 Mass Rebuild

* Fri Sep 18 2020 joequant <joequant> 0.7.7-10.mga8
+ Revision: 1628560
- fix build
- add build require
- fix build
+ daviddavid <daviddavid>
- add patch to fix build with gettext >= 0.20
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.7.7-7.mga7
+ Revision: 1301512
- Mageia 7 Mass Rebuild

* Tue Jul 10 2018 wally <wally> 0.7.7-6.mga7
+ Revision: 1242920
- fix build on aarch64

* Tue Feb 09 2016 umeabot <umeabot> 0.7.7-5.mga6
+ Revision: 952695
- Mageia 6 Mass Rebuild

* Thu May 07 2015 akien <akien> 0.7.7-4.mga5
+ Revision: 821408
- Fix wrong path to datadir in config file (mga#15877)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.7-3.mga5
+ Revision: 745500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.7-2.mga5
+ Revision: 690034
- Mageia 5 Mass Rebuild

* Fri May 09 2014 akien <akien> 0.7.7-1.mga5
+ Revision: 621550
- imported package ultimatestunts

